Bug 205473 - Bug with display of win1251 files in internal viewer by Ctrl-T (UTF-8 locale).
Bug with display of win1251 files in internal viewer by Ctrl-T (UTF-8 locale).
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2006-09-06 12:39 EDT by v.v.b.
Modified: 2013-07-02 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Test file with one line in russian, created in Win1251 charset codepage. (71 bytes, text/plain)
2006-09-06 12:39 EDT, v.v.b.
no flags Details

  None (edit)
Description v.v.b. 2006-09-06 12:39:58 EDT
Description of problem:
Bug with display of win1251 files in UTF-8 locale.
In internal viewer doesn't correctly display file with win-1251 charset.

Version mc-4.6.1a-26.fc5.
Locale -- LANG=en_US.UTF-8
In Midnight Commander:
Options -> Display bits -> Input / display codepage = Windows 1251.
Save setup, Exit from mc, run it again.
Open file (attached one) with win-1251 charset by pressing F3.
Press Ctrl-T, choose Windows 1251 -- NOTHING happens!
Frankly, this feature in Midnight Commander in FC3 and FC4 didn't worked also.

Version-Release number of selected component (if applicable):
mc-4.6.1a-26.fc5 I guess...

How reproducible:

Steps to Reproduce:
1. In mc set Options -> Display bits -> Input / display codepage = Windows 1251.
2. Save setup, exit, run again (THIS STEP FOR SURE)
3. Open file with win1251 codepage charset by pressing F3.
4. Ctrl-T, choose Windows 1251
Actual results:
None. Nothing changes. Doesn't coorectly display file. Just show dots instead of
russian chars.

Expected results:
Correctly display file.

Additional info:
Comment 1 v.v.b. 2006-09-06 12:39:58 EDT
Created attachment 135668 [details]
Test file with one line in russian, created in Win1251 charset codepage.
Comment 2 v.v.b. 2006-09-17 08:22:38 EDT
One more important addition:
If you rename file with win1251 charset to file.doc, mc shows it correctly.
May be it'll help...
Comment 3 v.v.b. 2006-09-20 14:32:09 EDT
But not all the time, as I can see now...
Comment 4 Jindrich Novy 2006-09-21 03:38:17 EDT
Sorry for delay, could you please try this testing version, whether your problem
is fixed by it?


Comment 5 v.v.b. 2006-09-21 11:21:30 EDT
Sorry. Same old thing.
In version mc-4.6.1a-28test.fc5.i386.rpm there is no change.
If I open by F3 attached file, I can see only dots instead of russian letters.
And Ctrl-T changes nothing.
BUT! If I rename extension of file from .txt to .doc, by pressing F3 all russian
letters are displayed correctly.
Comment 6 Jindrich Novy 2006-09-22 04:29:26 EDT
Yes, it works with the .doc file extension, because mc assumes that it's the
Word document and runs catdoc or word2x to convert its contents to ASCII (and
apparently in UTF-8 format).
Comment 7 Bug Zapper 2008-04-03 23:40:13 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:18:27 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.